pike.git / lib / modules / SSL.pmod / Context.pike

version» Context lines:

pike.git/lib/modules/SSL.pmod/Context.pike:828:    update_trusted_issuers();   }      //! Get the list of trusted issuers. See @[set_trusted_issuers].   array(array(string)) get_trusted_issuers()   {    return trusted_issuers;   }      protected array(array(string)) trusted_issuers = ({}); +  + //! Mapping from DER-encoded issuer to @[Standards.X509.Verifier]s + //! compatible with eg @[Standards.X509.verify_certificate()] and + //! @[Standards.X509.load_authorities()]. + //! + //! @seealso + //! @[get_trusted_issuers()], @[set_trusted_issuers()]   mapping(string:array(Standards.X509.Verifier)) trusted_issuers_cache = ([]);      //! For client authentication. Used only if auth_level is AUTH_ask or   //! AUTH_require.   array(int) preferred_auth_methods =   ({ AUTH_rsa_sign });      // Lookup from issuer DER to an array of suitable @[CertificatePair]s,   // sorted in order of strength.   protected mapping(string(8bit):array(CertificatePair)) cert_chains_issuer = ([]);